ServerEvents.recipes(event => {
    event.smelting('2x arrzenhanced:titanium_ingot', 'arrzenhanced:titanium_ore')
    event.smelting('2x arrzenhanced:titanium_ingot', 'arrzenhanced:deepslate_titanium_ore')
    event.smelting('2x arrzenhanced:titanium_ingot', 'arrzenhanced:nether_titanium_ore')

    event.smelting('arrzenhanced:titanium_ingot', 'palladium:raw_titanium')

    event.blasting('2x arrzenhanced:titanium_ingot', 'arrzenhanced:titanium_ore')
    event.blasting('2x arrzenhanced:titanium_ingot', 'arrzenhanced:deepslate_titanium_ore')
    event.blasting('2x arrzenhanced:titanium_ingot', 'arrzenhanced:nether_titanium_ore')

    event.blasting('arrzenhanced:titanium_ingot', 'palladium:raw_titanium')

    event.shaped(
        Item.of('arrzenhanced:speedburst_shield'),
        [
          'CB ',
          'BAB',
          ' B '
        ],
        {
          A: 'arrzenhanced:tachyon_device',
          B: '#forge:ingots/titanium_gold',
          C: 'arrzenhanced:tachyon_speedburst_chestplate'
        }
    ).keepIngredient('arrzenhanced:tachyon_speedburst_chestplate')

    event.shaped(
        Item.of('arrzenhanced:titanium_block'),
        [
          'AAA',
          'AAA',
          'AAA'
        ],
        {
          A: '#forge:ingots/titanium'
        }
    )

    event.replaceOutput(
        {output:'grave.core:titanium_ingot'},
        'grave.core:titanium_ingot',
        'arrzenhanced:titanium_ingot'
    )

    // /*
    event.replaceInput(
        {input:'grave.core:titanium_ingot'},
        'grave.core:titanium_ingot',
        '#forge:ingots/titanium'
    )
    // */
})

ServerEvents.tags('item', event => {
    event.add('forge:ingots/titanium_gold', 'arrzenhanced:titanium_gold_ingot')
    event.add('hertz:high_value', 'arrzenhanced:titanium_gold_ingot')
    event.add('hertz:high_value', 'arrzenhanced:fatherbox')
    event.add('hertz:high_value', 'arrzenhanced:velocity_injector')
    event.add('hertz:high_value', 'arrzenhanced:velocity_serum')
    event.add('hertz:high_value', 'arrzenhanced:tachyon_device')
    event.add('hertz:high_value', 'arrzenhanced:tachyon_battery')
    event.add('hertz:high_value', 'arrzenhanced:charged_tachyon_battery')
    event.add('hertz:high_value', 'arrzenhanced:nether_star_core')
    event.add('hertz:ultra_value', 'arrzenhanced:speedburst_shield')
    
    event.add('hertz:high_value', 'dampened:nether_star_fragment')
})